<template>
    <div class="container">
        <header class="topbar">
            <nav class="navbar navbar-expand-md navbar-light">
                <div class="navbar-header col-md-12">
                    <div class="text-center">
                    <img src="../assets/images/panvet/files/banner_esp_panvet.png" alt="logo_panvet" width="100%" class="logo_amd">
                    </div>
                </div>
            </nav>
        </header>
        <section id="wrapper" >
            <div class="login-register">
                <div class="card scroll-container"> 
                    <div class="card-header ">
                        <h2 class="box-title text-center">
                            <strong>Inscripción al Congreso PANVET 2021</strong>
                        </h2>

                        <div style="text-align: justify; text-justify: inter-word;">
                            <p>Estimados clientes, tengan lista su tarjeta de pago. Por políticas, si usted excede los 40 segundos la plataforma no lo dejará pagar. Si este es su caso por favor contacte vía WhatsApp al número <a href="https://wa.me/+525585390379" target="_blank">+52 55 8539 0379</a> o al correo de soporte <a href="mailto:soporteintegrameetings@gmail.com?Subject=Necesito%20soporte%20en%20el%20registro%20de%20PANVET">soporteintegrameetings@gmail.com.</a></p>
                            <!-- p style="font-weight: bold">NOTA: Hoy en día la mayoría de los bancos no procesan pagos con tarjeta de crédito o débito. Necesitan revisar cuál es su <a href="javascript:void(0)" onclick="digitalCard()">tarjeta digital</a>  y pagar con esta.</p> -->
                        </div>
                    </div>
                    <!--formularios-->
                    <form action="" method="post" @submit="Registrar">
                        <div class="card-body ">
                            
                                <input type="hidden" name="event" id="event" value="45">
                                <input type="hidden" name="lang" id="lang" value="es">
                                <span class="pull-right">Campos con <span class="text-danger">*</span> son requeridos.</span>
                                <br>
                                <h3 class="box-title m-b-20 text-center divider-title">
                                    <strong>Datos personales</strong>
                                </h3>
                                <div class="row">
                                    <!-- Cupones -->
                                    <div class="form-group col-md-12">
                                        <input type="checkbox" class="form-check-input" id="couponCodeCheckbox" v-model="BanderaCupon" true-value="yes" v-on:click="setcupon"
                                        false-value="no">
                                        <label class="form-check-label" for="couponCodeCheckbox">
                                            Cuento con un código proporcionado por PANVET.
                                        </label>
                                    </div>

                                    <div id="couponCodeRequirements" class="col-md-12" v-if="BanderaCupon=='yes'">
                                        <div class="form-group">
                                            <label for="couponCode">Ingresar código de cupón<span class="text-danger">*</span></label>
                                            <input @blur="VerificarCodigo" type="text" class="form-control " id="couponCode" name="couponCode"  placeholder="" autocomplete="none" v-model="CuponText">
                                        </div>
                                        <div id="couponCodeAlert" class="alert alert-danger" v-if="BanderaVerificarCupon ===false ">{{MensajeErrorCupon}}</div>
                                        <div id="couponCodeAlertSuccess" class="alert alert-success text-center"  v-if="BanderaVerificarCupon ===true ">
                                            ¡Código de cupón válido!
                                        </div>
                                    </div>    
                                </div>
                                <div class="row">
                                    <div class="form-group col-md-6">
                                        <label for="name">Nombre<span class="text-danger">*</span></label>
                                        <input type="text"  class="form-control" name="name"  placeholder="" required autocomplete="none" v-model="FormularioUsuarios.NombreUsuario">
                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="lastname">Apellidos<span class="text-danger">*</span></label>
                                        <input type="text" class="form-control" name="lastname" placeholder="" required autocomplete="none" v-model="FormularioUsuarios.ApellidoUsuario">
                                    </div>

                                    <div class="form-group col-md-12">
                                        <label for="email">Correo Electrónico<span class="text-danger">*</span></label>
                                        <input type="email" class="form-control" id="asistente_correo" name="asistente_correo"  placeholder=""   autocomplete="none" required v-model="FormularioUsuarios.EmailUsuario" @blur="confirmar">
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-md-4">
                                        <label for="teloffice">Telefono <span class="text-danger">*</span></label>
                                        <input type="text" required id="teloffice" class="form-control" name="teloffice" placeholder="" maxlength="10" autocomplete="none" v-model="FormularioUsuarios.TelefonoUsuario">
                                    </div>

                                    <div class="form-group col-md-4">
                                        <label for="profesion">Profesion <span class="text-danger">*</span></label>
                                        <input type="text"  id="profesion" class="form-control " name="profesion"  placeholder="" maxlength="80" autocomplete="none" required v-model="FormularioUsuarios.ProfecionUsuario">
                                    </div>

                                    <div class="form-group col-md-4">
                                        <label for="genero">Genero <span class="text-danger">*</span></label>
                                        <select id="genero" name="genero" class="form-control" v-model="FormularioUsuarios.GeneroUsuario" required>
                                            <option value="Mujer">Mujer</option>
                                            <option value="Hombre">Hombre</option>
                                        </select>
                                    
                                    </div>

                                    <div class="form-group col-md-4">
                                        <label for="edad">Edad <span class="text-danger">*</span></label>
                                        <input type="text" id="edad" class="form-control" required name="edad"  placeholder="" maxlength="10" autocomplete="none" v-model="FormularioUsuarios.EdadUsuario">
                                    </div>
                                </div>
                                <h3 class="box-title m-b-20 text-center divider-title">
                                    <strong>Datos de Residencia</strong>
                                </h3>
                                <div class="row">
                                    <div class="form-group col-md-4">
                                        <label for="country">País<span class="text-danger">*</span></label>
                                        <select name="country" id="country" class="form-control" required v-model="FormularioUsuarios.PaisUsuario">
                                            <option v-for="pa in Pais" v-bind:value="pa.id" :key="pa.id">{{pa.name}}</option>
                                        </select>
                                    </div>
                                    
                                    <div class="form-group col-md-4">
                                        <label for="state">Estado<span class="text-danger">*</span></label>
                                        <div id="stateContainer" v-if="FormularioUsuarios.PaisUsuario === 146" >
                                            <select name="state" id="state" class="form-control" required v-model="FormularioUsuarios.EstadoUsuario">
                                                <option v-for="est in estado" v-bind:value="est.id" :key="est.id">{{est.name}}</option>
                                            </select>
                                        </div>

                                        <div id="foreignStateContainer" v-if="FormularioUsuarios.PaisUsuario !== 146">
                                            <input type="text" id="foreignState" class="form-control " name="foreignState" v-model="FormularioUsuarios.StatesUsuarios">
                                        </div>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="postalCode">Código Postal <span class="text-danger">*</span></label>
                                        <div class="input-group">
                                            <input type="text" class="form-control" name="postalCode" id="postalCode" placeholder="" autocomplete="none" required v-model="FormularioUsuarios.CodigoPostalUsuario">
                                        </div>
                                    </div>
                                </div>
                                <h3 class="box-title m-b-20 text-center divider-title">
                                    <strong>Categoría<span class="text-danger">*</span></strong>
                                </h3>
                                <div class="row">
                                    <div class="form-group col-md-12">
                                    <div class="radio-list">
                                        <br>
                                        <span v-for="categoria in categorias" :key="categoria.id" class="p-5">
                                            <span v-if="categoria.description !== 'Becado'" class="opciones_dfault" v-show="estadoRadios">
                                                <input type="radio" :id="categoria.id" v-bind:value="categoria.id" class="form-check-input" name="categoria" v-model="FormularioUsuarios.categorias">
                                                <label :for="categoria.id" class="form-check-label">{{categoria.description}}</label>
                                            </span>
                                            <span v-else>
                                                <span v-if="BanderaVerificarCupon === true " class="becado">
                                                    <input type="radio" :id="categoria.id" v-bind:value="categoria.id" class="form-check-input" name="categoria" v-model="FormularioUsuarios.categorias" checked>
                                                    <label :for="categoria.id" class="form-check-label">{{categoria.description}}</label>
                                                </span>
                                            </span>
                                            
                                        </span>
                                        <span class="help-block">
                                            <small id="attendeesTypeCost"></small>
                                        </span>
                                    </div>
                                </div>
                                </div>
                                <div class="row">
                                    <div class="form-group">
                                        <label for="studentDegradeComprobant">Adjunte uno de los siguientes documentos de acuerdo con la Categoría de Inscripción que eligió: Cédula o Título Profesional para Congresista | Constancia de socio FedMVZ vigente para Congresista socio | Credencial de Estudiante vigente para Estudiantil | <samp class="text-danger">*</samp></label>
                                        <span class="input-group-addon btn btn-default btn-file">
                                            <input type="file" id="studentDegradeComprobant" name="specialtycard" accept="image/x-png,image/jpg,image/jpeg, application/pdf" @change="onFileSelected" required>
                                        </span>
                                    </div>
                                </div> 
                                <div class="row">
                                    <div class="form-group col-md-8">
                                        <label>
                                            ¿Desea recibir información de la FedMVZ vía email?
                                            <span class="text-danger">
                                                *
                                            </span>
                                        </label>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <input class="form-check-input" type="radio" name="pregunta1" id="si"  v-bind:value="'si'" v-model="FormularioUsuarios.pregunta1" required>
                                                <label class="form-check-label" for="si">
                                                    Si 
                                                </label>
                                            </div>
                                            <div class="col-md-4">
                                                <input class="form-check-input" type="radio" name="pregunta1" id="no" v-bind:value="'no'" v-model="FormularioUsuarios.pregunta1" required >
                                                <label class="form-check-label" for="no">
                                                    No 
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-md-12">
                                        <label>¿Cómo se enteró del Congreso? <span class="text-danger">*</span></label>
                                        <div class="row">
                                            
                                            <div class="col-md-4">
                                                <input class="form-check-input" type="radio" name="pregunta2" id="pagina-fedmvz" v-bind:value="'Página web de la FedMVZ'" v-model="FormularioUsuarios.pregunta2" required>
                                                <label class="form-check-label" for="pagina-fedmvz">
                                                    Página web de la FedMVZ 
                                                </label>
                                                <br>
                                                <input class="form-check-input" type="radio" name="pregunta2" id="R-social" value="Redes sociales de PANVET" v-model="FormularioUsuarios.pregunta2" required>
                                                <label class="form-check-label" for="R-social">
                                                    Redes sociales de PANVET
                                                </label>
                                            </div>
                                            
                                            <div class="col-md-4">
                                                <input class="form-check-input" type="radio" name="pregunta2" id="pagina-PANVET" value="Página web de PANVET" v-model="FormularioUsuarios.pregunta2" required>
                                                <label class="form-check-label" for="pagina-PANVET">
                                                    Página web de PANVET 
                                                </label>
                                                <br>

                                                <input class="form-check-input" type="radio" name="pregunta2" id="otros" value="Otros" v-model="FormularioUsuarios.pregunta2"
                                                required>
                                                <label class="form-check-label" for="otros">
                                                    Otros
                                                </label>
                                            </div>

                                            <div class="col-md-4">
                                                <input class="form-check-input" type="radio" name="pregunta2" id="R-FedMVZ" value="Redes sociales de la FedMVZ" v-model="FormularioUsuarios.pregunta2"
                                                required>
                                                <label class="form-check-label" for="R-FedMVZ">
                                                    Redes sociales de la FedMVZ
                                                </label>
                                            </div>
                                        </div>         
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="form-group col-md-12 text-center">
                                        <span class="help-block">
                                            La contraseña debe ser de al menos 8 caracteres.
                                        </span>
                                    </div>

                                    <div class="form-group col-md-12">
                                        <label for="asistente">Confirmar correo</label>
                                        <input type="text" id="asistente" class="form-control" name="asistente" v-model="FormularioUsuarios.confimaEmail" >
                                    </div>

                                    <div class="form-group col-md-6">
                                        <label for="password">Contraseña<span class="text-danger">*</span></label>
                                        <input type="password" class="form-control" id="password" name="password" required minlength="8" v-model="FormularioUsuarios.password">
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="password_confirmation">Confirmar Contraseña<span class="text-danger">*</span></label>
                                        <input type="password" class="form-control" id="password_confirmation" name="password_confirmation" required minlength="8" v-model="FormularioUsuarios.confirmarPassword">
                                    </div>
                        
                                </div>

                            
                        </div>
                        <div class="card-footer">
                            <!-- <div class="form-group text-center"> -->
                                <!-- <div class="col-xs-12 m-t-15"> -->
                            <div class="form-group text-center m-t-15">
                                <div style="text-align: justify; text-justify: inter-word;">
                                    <p>Estimados clientes, tengan lista su tarjeta de pago. Por políticas, si usted excede los 40 segundos la plataforma no lo dejará pagar. Si este es su caso por favor contacte vía WhatsApp al número <a href="https://wa.me/+525585390379" target="_blank">+52 55 8539 0379</a> o al correo de soporte <a href="mailto:congreso.panvet@federacionmvz.org?Subject=Necesito%20soporte%20en%20el%20registro%20de%20panamericano%20de%20ciencias%20de veterinarias">congreso.panvet@federacionmvz.org.</a></p>
                                    <!-- <p style="font-weight: bold">NOTA: Hoy en día la mayoría de los bancos no procesan pagos con tarjeta de crédito o débito. Necesitan revisar cuál es su <a href="javascript:void(0)" onclick="digitalCard()">tarjeta digital</a>  y pagar con esta.</p> -->
                                </div>
                                <div class="col-xs-12">
                                     <input type="submit" value="Continuar">
                                </div>
                            </div>
                            <div class="form-group m-t-0">
                                <div class="col-sm-12 text-center">
                                    ¿Ya tienes una cuenta?
                                    <a href="#" class="text-info m-l-5">¡Inicia Sesión!</a>
                                </div>
                            </div>
                        
                    
                        </div>
                    </form> 
                </div>
            </div>
        </section>      
    </div>
</template>

<script>
const ruta = require("../apiruta/Apiruta.js")
const config = require("../apiruta/VariablesdeConfiguracion.js")
import { watchEffect } from "vue";
export default {
    data(){
        return{
            BanderaCupon:false,
            CuponText:"",
            BanderaVerificarCupon:null,
            MensajeErrorCupon:"",
            Pais:null,
            estado:null,
            categorias:null,
            estadoRadios:true,
            FormularioUsuarios:{
                NombreUsuario:"",
                ApellidoUsuario:"",
                EmailUsuario:"",
                TelefonoUsuario:"",
                ProfecionUsuario:"",
                GeneroUsuario:"Mujer",
                EdadUsuario:"",
                PaisUsuario:146,
                EstadoUsuario:1,
                CodigoPostalUsuario:"",
                StatesUsuarios:"",
                categorias:"",
                pregunta1:"",
                pregunta2:"",
                confimaEmail:"",
                password:"",
                confirmarPassword:"",
                archivoImagen:"",                
            },
        }
    },
    setup() {
        let elemento = document.getElementById('principal');
            elemento.classList.remove(elemento.classList.value)
          watchEffect(() =>{
              elemento.classList.add('registro')
          });
         
    },
    methods: {
        setcupon(){
            if(this.BanderaCupon==='no'){
                this.BanderaVerificarCupon=null
                this.estadoRadios=true
                this.FormularioUsuarios.categorias="";
                this.CuponText=""
            }
            
        },
        VerificarCodigo(){
            fetch(`${ruta}cupones/${config.Idevent}/${this.CuponText}`)
            .then(response => response.json())
            .then( data => {
                if(typeof data.mensaje === 'undefined'){
                    if(data[0].status == 1){
                        this.BanderaVerificarCupon=true
                       this.estadoRadios=false
                       this.FormularioUsuarios.categorias=71;
                    }
                    
                }else{
                    this.BanderaVerificarCupon=false
                    this.MensajeErrorCupon=data.mensaje
                    this.estadoRadios=true
                }
                 
            })
        },
        confirmar(){
            
            this.FormularioUsuarios.confimaEmail=this.FormularioUsuarios.EmailUsuario
        },
        onFileSelected(e){
             const file = e.target.files[0];
             this.FormularioUsuarios.archivoImagen=file;
        },
        Registrar(e){
            e.preventDefault();
            const formData = new FormData();
            formData.append("Registro",JSON.stringify(this.FormularioUsuarios));
            formData.append("imagenes",this.FormularioUsuarios.archivoImagen);
            formData.append("IdEvento",config.Idevent)
            formData.append("Cupontext",this.CuponText)
            formData.append("BanderaCupon",this.BanderaVerificarCupon)
            fetch(`${ruta}registroUsuario`,{
                method:"POST",
                body:formData,
            }).then((response)=>{
                console.log(response)
            })
            
        },
        GetPias(){
           fetch(`${ruta}pais`)
           .then(response=>response.json())
           .then(data=>{
               this.Pais=data;
           })
           .then(()=>{
               if(this.FormularioUsuarios.PaisUsuario === 146){
                  fetch(`${ruta}states`).then(response=>response.json()).then(data=>{
                      this.estado=data
                  })
               }
           })
           .then(()=>{
                fetch(`${ruta}categorias/${config.Idevent}`)
               .then(response=>response.json())
               .then(data=>{
                   this.categorias=data
               })
           })
           .catch(erro=>{
               console.log(erro);
           })
        },
        
    },
    mounted() {
        this.GetPias();
    },
}
</script>


<style scoped>
         .login-register{
            position: relative !important;
            /* padding-top: 15%; /*fixed*/
            padding-top: 5%;
        }

        .login-box{
            width: 60% !important;
            border: 0px solid red;
        }

        .topbar{
            background: rgba(0,0,0, 0.4) !important;
            /* position: fixed; */
            width: 100%;
        }

        .btn-primary{
            background-color: #001635 !important;
            border-color: #001635 !important;
            color: #FFFFFF;
        }

        .btn-primary:hover{
            background-color: #141B4F !important;
        }

        .btn-green{
            /* background-color: #27ae60 !important; */
            background-color: #2ecc71 !important;
            border: #2ecc71 !important;
            color: #FFF;
            text-shadow: none;
            -webkit-transition: background .2s;
            transition: background .2s;
            padding-right: 30px !important;
        }

        @media only screen and (max-width: 600px) {
            .login-box{ width: 90% !important;}
            .login-register{ /*padding-top: 30%;*/ padding-top: 15%;}
            .logo_aipmb{width: 40px;}
            .xvi_reunion{width: 60px;}
            .fecha{width: 60px;}
            .congreso{width: 60px;}
            .logo_asociacion{width: 50px;}

            .lateral-izquierda,
            .lateral-derecha{
              display: none;
            }
        }

        @media only screen and (min-width: 600px) and (max-width: 767px) {
            body {
                background-image: url('{{ asset("images/aipmb/files/back.png") }}');
            }

            .login-register{ /*padding-top: 25%;*/  padding-top: 15%; }

            .login-box{ width: 90% !important;}

            .logo_aipmb{width: 50px}
            .xvi_reunion{width: 100px}
            .fecha{width: 100px}
            .congreso{width: 100px}
            .logo_asociacion{width: 80px}

            .lateral-izquierda,
            .lateral-derecha{
              display: none;
            }
        }

        @media only screen and (min-width: 768px) and (max-width: 991px) {
            .login-register{ /*padding-top: 25%;*/  padding-top: 13%;}
            .login-box{ width: 75% !important;}
        }

        @media only screen and (min-width: 992px) and (max-width: 1200px) {
          .login-register{ /*padding-top: 20%;*/ padding-top: 10%;}
        }

        /* ::-webkit-scrollbar { display: none; }
        ::-moz-scrollbar { display: none; } */

        #deadline {
          top:0;
          width:100%;
          height:100vh;
          z-index:10;
          text-align: center;
          position: fixed;
        }
        #deadline .deadline-container{
          padding-top: 20%;
        }
        #deadline .deadline-container h1{
          color: blue;
        }
        #deadline .deadline-container h2{
          color: red;
        }
        @supports (-webkit-backdrop-filter: none) or (backdrop-filter: none) {
            #deadline {
                -webkit-backdrop-filter: blur(10px);
                backdrop-filter: blur(10px);
                background-color: rgba(255, 255, 255, 0.5);
            }
        }

        #opciones{
          display: flex;
          justify-content: flex-end;
        }

        .item {
            height: auto;
            justify-content: flex-end;
            }

         .scroll-container{
            overflow-y:scroll;
            height:700px;
            }  
</style> 

